repository intelligence
Create repository intelligence coverage
Requires scopes: eval:read
POST
/
api
/
repository-intelligence
/
repositories
/
{repositoryId}
/
graph
/
coverage
Create repository intelligence coverage
curl --request POST \
--url https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/coverage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"headSha": "<string>",
"graphVersionId": "<string>"
}
'import requests
url = "https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/coverage"
payload = {
"headSha": "<string>",
"graphVersionId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({headSha: '<string>', graphVersionId: '<string>'})
};
fetch('https://evalgate.com/api/repository-intelligence/repositories/{repositoryId}/graph/coverage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"graphVersionId": "<string>",
"snapshot": {
"summary": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"repositoryId": 123,
"graphVersionId": "<string>",
"inventoryConfidence": 123,
"objectiveDefinitionCoverage": 123,
"behavioralEvalCoverage": 123,
"hardConstraintCoverage": 123,
"productionObservationCoverage": 123,
"replayability": 123,
"releaseGateCoverage": 123,
"privacyGovernanceCoverage": 123,
"ownerOperationalCoverage": 123
},
"gaps": [
{
"severity": "high",
"title": "<string>",
"summary": "<string>",
"id": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"organizationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"contentHash": "<string>",
"repositoryId": 123,
"category": "<string>",
"evidenceIds": [
"<string>"
],
"state": "open",
"affectedObjectiveIds": [
"<string>"
],
"affectedNodeIds": [
"<string>"
],
"graphVersionId": "<string>",
"recommendedActionType": "<string>"
}
],
"reused": true
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": {
"message": "<string>",
"details": "<unknown>",
"requestId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
⌘I
Create repository intelligence coverage
